%define jbhomedir %{_datadir}/%{name}
%define jbossdir %{_localstatedir}/lib/%{name}
%define logdir   %{_localstatedir}/log
%define tmpdir   %{_localstatedir}/cache
%define jbver    4.2.0.GA_CP01
%define svnrev   %{?_svnrev}%{!?_svnrev:65277}
%define nightlybuildrel 0.1.%{svnrev}svn.ep1.1%{?dist}
%define taggedversion %{jbver}

%define tmp_build_file_dir %{_builddir}/jboss-%{jbver}-src/temp_build_file_dir
%define tpcsfile %{tmp_build_file_dir}/tpchecksumsfile
%define rlibcsfile %{tmp_build_file_dir}/repolibchecksumsfile
%define jbossarchivecsfile %{tmp_build_file_dir}/jbossarchivechecksumsfile

%define _with_binary_blob 1

%define with_binary_blob %{?_with_binary_blob:1}%{!?_with_binary_blob:0}
%define without_binary_blob %{!?_with_binary_blob:1}%{?_with_binary_blob:0}

Summary:        JBoss Application Server
Name:           jbossas
Version:        4.2.0
Release:        2.CP01.ep1.3%{?dist}
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
URL:            http://www.jboss.org/
Source1:        %{name}.catalog
Source2:        %{name}.conf
Source3:        %{name}.init

#mkdir -p jboss-4.2.0.GA_CP01-src/4.2.0.GA_CP01
#svn export -r 65277 https://svn.jboss.org/repos/jbossas/branches/JBPAPP_4_2_0_GA_CP/ jboss-4.2.0.GA_CP01-src/4.2.0.GA_CP01/jboss-4.2.x/
#tar czf jboss-4.2.0.GA_CP01-src.tar.gz jboss-4.2.0.GA_CP01-src
Source4:      jboss-%{taggedversion}-src.tar.gz

Source5:      %{name}-4.2.x-tp.tar.gz
Source6:      %{name}-release.properties
Source7:      %{name}-%{version}-jarmap
Source8:      %{name}-%{version}-tp-licenses.tar.gz

# This needs to be applied in %%install, so we have to make it SourceX
Source10:     %{name}-%{version}-disableauth.patch

Source11:     %{name}-webconsole-context.xml

# Script for computing jar signatures at build time
Source99:     %{name}-%{version}-compute_jar_signature

Patch1:       %{name}-build-production-config.patch
Patch2:       %{name}-read-local-config-first.patch
Patch3:       %{name}-set-default-servername.patch
Patch4:       %{name}-%{version}-enableauth.patch
Patch5:       %{name}-add-serverswitch-to-run-bat.patch
Patch6:       %{name}-usebrewjbossts.patch

Patch99:      %{name}-buildziponly.patch

BuildRequires:  jpackage-utils,ant,ant-nodeps,gawk,sed,findutils,zip
BuildRequires:  java-1.5.0-bea, java-1.5.0-bea-devel
BuildRequires:  antlr-repolib = 2.7.6
BuildRequires:  avalon-framework-repolib = 4.1.5
BuildRequires:  avalon-logkit-repolib = 1.2
BuildRequires:  bcel-repolib = 5.1
BuildRequires:  bsf-repolib = 2.3.0
BuildRequires:  bsh-repolib = 1.3.0
BuildRequires:  cglib-repolib = 2.1.3
BuildRequires:  concurrent-repolib = 1.3.4
BuildRequires:  dom4j-repolib = 1.6.1
BuildRequires:  dtdparser-repolib = 1.21
BuildRequires:  gnu-getopt-repolib = 1.0.12
BuildRequires:  gnu-trove-repolib = 1.0.2
BuildRequires:  hibernate3-repolib = 3.2.4
BuildRequires:  hibernate3-annotations-repolib = 3.2.1
BuildRequires:  hibernate3-entitymanager-repolib = 3.2.1
BuildRequires:  jacorb-repolib = 2.3.0
BuildRequires:  jakarta-commons-beanutils-repolib = 1.7.0
BuildRequires:  jakarta-commons-codec-repolib = 1.3
BuildRequires:  jakarta-commons-collections-repolib = 3.1
BuildRequires:  jakarta-commons-digester-repolib = 1.7
BuildRequires:  jakarta-commons-discovery-repolib = 1:0.4
BuildRequires:  jakarta-commons-fileupload-repolib = 1:1.1.1
BuildRequires:  jakarta-commons-httpclient-repolib = 1:3.0.1
BuildRequires:  jakarta-commons-lang-repolib = 0:2.1
BuildRequires:  jakarta-slide-webdavclient-repolib = 2.1
BuildRequires:  javassist-repolib = 3.5.0
BuildRequires:  javacc3-repolib = 3.2
BuildRequires:  jaxen-repolib = 1.1
BuildRequires:  jboss-aop-repolib = 1.5.5
BuildRequires:  jboss-cache-repolib = 1.4.1
BuildRequires:  jboss-common-repolib = 1.2.0
BuildRequires:  jboss-profiler-jvmti-repolib = 1.0
BuildRequires:  jboss-remoting-repolib = 2.2.2
BuildRequires:  jboss-serialization-repolib = 1.0.3
BuildRequires:  jbossts-repolib = 4.2.3
BuildRequires:  jbossweb-repolib = 2.0.0
BuildRequires:  jbossxb-repolib = 1.0.0-1.CP01.0jpp.ep1.2%{?dist}
BuildRequires:  jgroups-repolib = 2.4.1.3
BuildRequires:  joesnmp-repolib = 0.3.4
BuildRequires:  juddi-repolib = 0.9
BuildRequires:  junit-repolib = 3.8.2
BuildRequires:  log4j-repolib = 1.2.14
BuildRequires:  odmg-repolib = 3.0
BuildRequires:  qdox-repolib = 1.6.1
BuildRequires:  quartz-repolib = 1.5.2
BuildRequires:  servletapi6-repolib = 6.0.10
BuildRequires:  snmptrapappender-repolib = 1.2.8
BuildRequires:  velocity-jboss-repolib = 1.4
BuildRequires:  wstx-repolib = 3.1.1
BuildRequires:  wsdl4j16-repolib = 1.6.2
BuildRequires:  xalan-j2-repolib = 2.7.0
BuildRequires:  xerces-j2-repolib = 2.7.1
BuildRequires:  xjavadoc-repolib = 1.1
BuildRequires:  xml-commons-repolib = 1.3.03
BuildRequires:  xml-security-repolib = 1.3.0
BuildRequires:  xdoclet-repolib = 1.2.3

%if %{without_binary_blob}
# Also, require everything (needed for when we do build-classpath)
BuildRequires:  antlr >= 2.7.6
BuildRequires:  avalon-framework >= 4.1.5
BuildRequires:  avalon-logkit >= 1.2
BuildRequires:  bcel >= 5.1
BuildRequires:  bsf >= 2.3.0
BuildRequires:  bsh >= 1.3.0
BuildRequires:  cglib >= 2.1.3
BuildRequires:  concurrent >= 1.3.4
BuildRequires:  dom4j >= 1.6.1
BuildRequires:  dtdparser >= 1.21
BuildRequires:  gnu-getopt >= 1.0.12
BuildRequires:  gnu-trove >= 1.0.2
#BuildRequires:  hibernate3 >= 3.2.4
BuildRequires:  hibernate3-ejb-persistence-3.0-api >= 3.2.1
BuildRequires:  hibernate3-annotations >= 3.2.1
BuildRequires:  hibernate3-entitymanager >= 3.2.1
BuildRequires:  jacorb >= 2.3.0
BuildRequires:  jakarta-commons-beanutils >= 1.7.0
BuildRequires:  jakarta-commons-codec >= 1.3
BuildRequires:  jakarta-commons-collections >= 3.1
BuildRequires:  jakarta-commons-digester >= 1.7
BuildRequires:  jakarta-commons-discovery >= 1:0.4
BuildRequires:  jakarta-commons-fileupload >= 1:1.1.1
BuildRequires:  jakarta-commons-httpclient >= 1:3.0.1
#BuildRequires:  jakarta-commons-lang >= 0:2.1
BuildRequires:  jakarta-slide-webdavclient >= 2.1
#BuildRequires:  javacc >= 3.2
BuildRequires:  javassist >= 3.5.0
BuildRequires:  jaxen >= 1.1
BuildRequires:  jboss-aop >= 1.5.5
BuildRequires:  jboss-cache >= 1.4.1
BuildRequires:  jboss-common >= 1.2.0
BuildRequires:  jboss-remoting >= 2.2.2
BuildRequires:  jboss-serialization >= 1.0.3
BuildRequires:  jbossts >= 4.2.3
BuildRequires:  jbossweb >= 2.0.0
BuildRequires:  jbossxb >= 1.0.1-1.CP01
BuildRequires:  jgroups >= 2.4.1.3
BuildRequires:  joesnmp >= 0.3.4
BuildRequires:  junit >= 3.8.2
BuildRequires:  log4j >= 1.2.14
BuildRequires:  odmg >= 3.0
BuildRequires:  qdox >= 1.6.1
BuildRequires:  quartz >= 1.5.2
BuildRequires:  servletapi6 >= 6.0.10
BuildRequires:  snmptrapappender >= 1.2.8
BuildRequires:  velocity-jboss >= 1.4
BuildRequires:  wstx >= 3.1.1
BuildRequires:  wsdl4j16 >= 1.6.2
BuildRequires:  xalan-j2 >= 2.7.0
BuildRequires:  xerces-j2 >= 2.7.1
BuildRequires:  xjavadoc >= 1.1
BuildRequires:  xml-commons-jaxp-1.3-apis >= 1.3.03
BuildRequires:  xml-commons-resolver >= 1.1
BuildRequires:  xml-security >= 1.3.0
BuildRequires:  xdoclet >= 1.2.3
%endif

Requires:       java-1.5.0
Requires:       java-1.5.0-devel

# Bring in associated librearies neverhteless
# Skip the ones that will only be at the right versions on RHEL 5.1
#%if %{without_binary_blob}
Requires:       antlr >= 2.7.6
# Uncomment after RHEL 5.1 is out
#Requires:       avalon-framework >= 4.1.5
Requires:       avalon-logkit >= 1.2
Requires:       bcel >= 5.1
Requires:       bsf >= 2.3.0
Requires:       bsh >= 1.3.0
Requires:       cglib >= 2.1.3
Requires:       concurrent >= 1.3.4
Requires:       dom4j >= 1.6.1
Requires:       dtdparser >= 1.21
Requires:       gnu-getopt >= 1.0.12
Requires:       gnu-trove >= 1.0.2
#Requires:       hibernate3 >= 3.2.4
Requires:       hibernate3-ejb-persistence-3.0-api >= 3.2.1
Requires:       hibernate3-annotations >= 3.2.1
Requires:       hibernate3-entitymanager >= 3.2.1
Requires:       jacorb >= 2.3.0
Requires:       jakarta-commons-beanutils >= 1.7.0
Requires:       jakarta-commons-codec >= 1.3
Requires:       jakarta-commons-collections >= 3.1
Requires:       jakarta-commons-digester >= 1.7
# Uncomment after RHEL 5.1 is out
#Requires:       jakarta-commons-discovery >= 1:0.4
#Requires:       jakarta-commons-fileupload >= 1:1.1.1
#Requires:       jakarta-commons-httpclient >= 1:3.0.1
# The one below is not needed at run-time, it seems
#Requires:       jakarta-commons-lang >= 0:2.1
Requires:       jakarta-slide-webdavclient >= 2.1
# The one below is not needed at run-time, it seems
#Requires:       javacc >= 3.2
Requires:       javassist >= 3.5.0
Requires:       jaxen >= 1.1
Requires:       jboss-aop >= 1.5.5
Requires:       jboss-cache >= 1.4.1
Requires:       jboss-common >= 1.2.0
Requires:       jboss-remoting >= 2.2.2
Requires:       jboss-serialization >= 1.0.3
Requires:       jbossts >= 4.2.3
Requires:       jbossweb >= 2.0.0
Requires:       jbossxb >= 1.0.0-1.CP01
Requires:       jgroups >= 2.4.1.3
Requires:       joesnmp >= 0.3.4
Requires:       junit >= 3.8.2
# Uncomment after RHEL 5.1 is out
#Requires:       log4j >= 1.2.14
Requires:       odmg >= 3.0
Requires:       qdox >= 1.6.1
Requires:       quartz >= 1.5.2
Requires:       servletapi6 >= 6.0.10
Requires:       snmptrapappender >= 1.2.8
Requires:       velocity-jboss >= 1.4
Requires:       wstx >= 3.1.1
Requires:       wsdl4j16 >= 1.6.2
Requires:       xalan-j2 >= 2.7.0
Requires:       xerces-j2 >= 2.7.1
Requires:       xjavadoc >= 1.1
#Requires:       xml-commons-jaxp-1.3-apis >= 1.3.03
Requires:       xml-commons-apis >= 1.3.02
Requires:       xml-commons-resolver >= 1.1
Requires:       xml-security >= 1.3.0
Requires:       jpackage-utils >= 1.7.3
Requires:       xdoclet >= 1.2.3
#Requires:       juddi # juddi is not linked for now
#%endif

Requires:       jpackage-utils
Requires:       /bin/grep,/bin/netstat
Requires(post): /usr/bin/md5sum

Provides:      %{name}-ejb3 = 1.0.0-0.1.rc10
Obsoletes:     %{name}-ejb3 <= 1.0.0-0.1.rc9.el4s1.6
Obsoletes:     %{name}-core <= 4.0.5

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBoss Application Server is the #1 most widely used Java application server 
on the market. A J2EE certified platform for developing and deploying
enterprise Java applications, Web applications, and Portals, 
JBoss Application Server provides the full range of J2EE 1.4 features as 
well as extended enterprise services including clustering, caching, and 
persistence.

%package zip
Summary:     Container for the zipped distribution of jbossas
Group:       Development

%description zip
Container for the zipped distribution of jbossas

%package src-zip
Summary:     Container for the sources (with thirdparty)
Group:       Development

%description src-zip
Container for the sources (with thirdparty)

%prep
%setup -T -q -b 4 -n jboss-%{jbver}-src

cp %{jbver}/jboss-4.2.x/build/build-release.xml .

mkdir %{tmp_build_file_dir}

# These pacthes are already in the CP branch
#pushd %{jbver}/jboss-4.2.x
#%patch1
#%patch2
#%patch3
#%patch4
#%patch5
#%patch6
#popd

%patch99

tar xzf %{SOURCE5}

pushd %{jbver}/jboss-4.2.x/thirdparty
tar xzf %{SOURCE8}
popd

# Compute checksums of jars in tp (note: our 'compute' consists of stripping meta 
# info and computing only classes)

# temporary hack to have hibernate as a BR, but not a R
cp -r  %{_javadir}/repository.jboss.com/hibernate thirdpartyrepo/

(cd thirdpartyrepo
    rm -f %{tpcsfile}
    for i in `find \`pwd\` -type f -name "*ar" | sort`; do
       %{SOURCE99} $i >> %{tpcsfile}
    done
)

# Grab remaining thirdparty jars...
rm -f %{rlibcsfile}
for item in %{_javadir}/repository.jboss.com/*; do

    # temporary hack to have hibernate as a BR, but not a R
    if [ "$item" == "%{_javadir}/repository.jboss.com/hibernate" ]; then
        continue
    fi

    cp -r $item thirdpartyrepo/

    # Add the checksums from that jar into the checksum file
    for i in `find $item -type f -name "*ar" | sort`; do
%if %{with_binary_blob}
        %{SOURCE99} $i >> %{tpcsfile}
%else
        %{SOURCE99} $i >> %{rlibcsfile}
%endif
    done
done

# Sed out the task that requires going online (we package licenses directly)
sed -i -e s:'<visit-componentref-graph componentVisitor="org.jboss.ant.util.graph.ComponentRefGraphLicenseVisitor"/>'::g  %{jbver}/jboss-4.2.x/build/build-thirdparty.xml

# Build thirdparty
ant -f %{jbver}/jboss-4.2.x/build/build.xml -Djbossbuild.repository=file://`pwd`/thirdpartyrepo createthirdparty

cp %{SOURCE6} release.properties

mkdir -p %{jbver}/dist
(cd %{jbver}/jboss-4.2.x
    zip -q -r ../dist/jboss-%{jbver}-src.zip *
)

%build

ant -f build-release.xml -Dinhibit.downloads=true -Dbuild.production=true build-dist release 2>&1 | tee %{tmp_build_file_dir}/build.log

# Ensure that the right items were replaced for production config

# Note: If anything other than the makeProductionConfigChanges target starts 
# doing replacements, the verification method below will require rework, else
# it may give false negatives (but no false positives, so it is safe).
replace_count=`grep "\[replace\] Replaced" %{tmp_build_file_dir}/build.log | wc -l`
single_replace_count=`grep "Replaced 1 occurrences in 1 files" %{tmp_build_file_dir}/build.log | wc -l`

if [ $replace_count -ne $single_replace_count ]; then
    echo "One or more production config changes did not go through. Aborting build."
    exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
rm -rf jboss-eap-4.2

# Extract the "distribution" so that we can patch appropriate files 
# and install from it
mkdir jboss-eap-4.2

# Do the docs stuff
pushd jboss-eap-4.2

# Extract the .zip
unzip -q ../%{jbver}/dist/jboss-%{jbver}.zip

# Change dir name of directory, for the monolithic zip
mv jboss-%{jbver} jboss-as

# Remove an un-needed file from production config
rm -f jboss-as/server/production/conf/standardjaws.xml

# Remove the empty docs/tests dir (JBPAPP-114)
rmdir jboss-as/docs/tests

zip -q -r ../%{jbver}/dist/jboss-%{jbver}-withauth.zip jboss-as

# Apply auth patch
pushd jboss-as
patch -p0 < %{SOURCE10}
find -type f -name "*.sav" | xargs rm -f
popd

zip -q -r ../%{jbver}/dist/jboss-%{jbver}-noauth.zip jboss-as

# After zipping

# Remove the patch from above (else it'll go into the rpm)
pushd jboss-as
patch -R -p0 < %{SOURCE10}
find -type f -name "*.sav" | xargs rm -f
popd

# Make RPM specific fixes:

# Set up a specific context for web-console, so that links are allowed for it
cp %{SOURCE11} jboss-as/server/all/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
cp %{SOURCE11} jboss-as/server/default/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml
cp %{SOURCE11} jboss-as/server/production/deploy/management/console-mgr.sar/web-console.war/WEB-INF/context.xml

# Set jboss.dist to a direct path, since relative paths don't work due 
# to the symlink setup
sed -i -e s:'<property name="jboss.dist" value="../../../.."/>':'<property name="jboss.dist" value="/var/lib/jbossas"/>': jboss-as/docs/examples/jms/standalone/build.xml

popd

# Go into the distribution dir
pushd jboss-eap-4.2/jboss-as

# Copy DTD catalog into place
install -m 644 %{SOURCE1} docs/dtd/catalog

# file missing from binary dist
#install -m 644 %{SOURCE4} docs/licenses/sun-specs.txt

# Global configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cat > jbossas.conf << EOT
# System-wide configuration file for jbossas services
# This will be sourced by jbossas and any secondary service
# Values will be overridden by service-specific configuration
# files in /etc/sysconfig
# Use this one to change default values for all services
# Change the service specific ones to affect only one service
# (see, for instance, /etc/sysconfig/jbossas)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas.conf
install -m 644 jbossas.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
rm jbossas.conf
# Service-specific configuration file
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
cat > jbossas << EOT
# Service-specific configuration file for jbossas services
# This will be sourced by the SysV service script after the global
# configuration file /etc/jbossas/jbossas.conf, thus allowing values
# to be overridden on a per-service way
#
# NEVER change the init script itself:
# To change values for all services make your changes in
# /etc/jbossas/jbossas.conf
# To change values for a specific service, change it here
# To create a new service, create a link from /etc/init.d/<you new service> to
# /etc/init.d/jbossas (do not copy the init script) and make a copy of the
# /etc/sysconfig/jbossas file to /etc/sysconfig/<you new service> and change
# the property values so the two services won't conflict
# Register the new service in the system as usual (see chkconfig and similars)
#
# To change a setting, uncomment the line and set the value for what you want
# The values in the comments are the default values, shown here for convenience
#
EOT
cat %{SOURCE2} >> jbossas

install -m 644 jbossas $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
rm jbossas
# Configuration file used when run.sh is used
install -m 644 bin/run.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 %{SOURCE3} \
			$RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}

install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/client
cp -pr client/* $RPM_BUILD_ROOT%{jbhomedir}/client
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr lib/* $RPM_BUILD_ROOT%{jbhomedir}/lib
cp -pr server $RPM_BUILD_ROOT%{jbossdir}

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tests

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/bin
for script in classpath probe run shutdown twiddle wstools wsconsume wsrunclient wsprovide; do
  install -m 0755 bin/${script}.sh $RPM_BUILD_ROOT%{jbossdir}/bin/${script}.sh
  ln -sf %{jbossdir}/bin/${script}.sh $RPM_BUILD_ROOT%{_bindir}/jbossas-${script}
done
install -m 644 bin/*.jar $RPM_BUILD_ROOT%{jbossdir}/bin
pushd $RPM_BUILD_ROOT%{jbossdir}/bin
ln -sf %{_sysconfdir}/%{name}/run.conf .
popd

install -m 644 copyright.txt $RPM_BUILD_ROOT%{jbossdir}
install -m 644 jar-versions.xml $RPM_BUILD_ROOT%{jbossdir}
install -m 644 *.html $RPM_BUILD_ROOT%{jbossdir}
install -m 644 JBossORG-EULA.txt $RPM_BUILD_ROOT%{jbossdir}

ln -s %{jbhomedir}/client $RPM_BUILD_ROOT%{jbossdir}/client
ln -s %{jbhomedir}/lib $RPM_BUILD_ROOT%{jbossdir}/lib
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbossdir}/docs

ln -s %{jbossdir}/bin $RPM_BUILD_ROOT%{jbhomedir}/bin
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbhomedir}/docs
ln -s %{jbossdir}/server $RPM_BUILD_ROOT%{jbhomedir}/server

for server in all default minimal production; do
  mv $RPM_BUILD_ROOT%{jbossdir}/server/$server/conf \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$server
  ln -sf %{_sysconfdir}/%{name}/$server \
	$RPM_BUILD_ROOT%{jbossdir}/server/$server/conf
  install -d -m 755 $RPM_BUILD_ROOT%{logdir}/%{name}/$server
# avoid these symlinks for now
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/temp/$server
# install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/%{name}/work/$server
# and replace them by straight dirs
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/work
#
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/data
  ln -s %{logdir}/%{name}/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/log
# avoid these symlinks for now
# ln -s %{tmpdir}/%{name}/temp/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/tmp
# ln -s %{tmpdir}/%{name}/work/$server \
#   $RPM_BUILD_ROOT%{jbossdir}/server/$server/work
done
#cleanup
find $RPM_BUILD_ROOT -name "*.sav" -exec rm -f {} \;

popd

# Compute signatures for all archives in the install dirs
rm -f %{jbossarchivecsfile} 
for i in `find $RPM_BUILD_ROOT%{jbhomedir} $RPM_BUILD_ROOT%{jbossdir} -type f -name "*ar" | sort`; do
    %{SOURCE99} $i >> %{jbossarchivecsfile}
done

# We now have checksums of
# 1. Files from thirdparty
# 2. Files from repolib (brew)
# 3. Files in /usr/share/jbossas and /var/lib/jbossas
#
# Files from thirdparty will be copied/unversioned
# Files from repolib will be linked
# Remaining files will be copied/versioned

OLD_IFS=$IFS
IFS='
'

rm -f %{tmp_build_file_dir}/tpfiles %{tmp_build_file_dir}/rlibfiles 
rm -f %{tmp_build_file_dir}/builtfiles

# Identify files in thirdparty
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{tpcsfile} || :`

    if [ ! -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/tpfiles
    fi
done

# Identify files from brew
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{rlibcsfile} || :`

    if [ ! -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/rlibfiles
    fi
done

# Identify files from neither
for i in `cat %{jbossarchivecsfile}`; do
    checksum=`echo $i | awk '{print $1}'`
    file=`echo $i | awk '{print $2}' | sed -e s:$RPM_BUILD_ROOT::g`

    found=`grep $checksum %{tpcsfile} || :`
    found=$found`grep $checksum %{rlibcsfile} || :`

    if [ -z "$found" ]; then
        echo $file >> %{tmp_build_file_dir}/builtfiles
    fi
done

# We created a list in %%prep with existing jar/ear/war files.. other than those, we install everything

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/rars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/sars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/wars

# Files to copy and version to /usr/share/java/jbossas (all built files)
while read archive; do

    archiveonsystem=$archive
    archive="$RPM_BUILD_ROOT$archive"

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=""
    extension=${archive##*.}

    if [ $extension == "rar" ]; then
        dir=%{_javadir}/%{name}/rars
    elif [ $extension == "sar" ]; then
        dir=%{_javadir}/%{name}/sars
    elif [ $extension == "war" ]; then
        dir=%{_javadir}/%{name}/wars
    else
        dir=%{_javadir}/%{name}
    fi

    buildrootjavadir="$RPM_BUILD_ROOT$dir"
    versionedname=`basename $archive | sed -e s:\\\\\(\\\..ar\\\\\):-%{version}\\\1:`

    # Does file already exist in /usr/share/java/jbossas? make sure the signature matches
    if [ -f $buildrootjavadir/$versionedname ]; then
        sig1=`%{SOURCE99} $archive | awk '{print $1}'`
        sig2=`%{SOURCE99} $buildrootjavadir/$versionedname | awk '{print $1}'`

        if [ "$sig1" != "$sig2" ]; then
            echo "Signatures do not match for $archive and $buildrootjavadir/$versionedname"
            exit 1
        fi
    else
        install -m 644 $archive $buildrootjavadir/$versionedname
        ln -s $versionedname $buildrootjavadir/`basename $archive`
    fi

    # Remove archive from $JBOSS_HOME and link it
   rm -f $archive
   ln -s $dir/`basename $archive` $archive

done < %{tmp_build_file_dir}/builtfiles

# Third party files to copy to /usr/share/java/jbossas/thirdparty (non brew built)
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/thirdparty
while read archive; do

    archiveonsystem=$archive
    archive="$RPM_BUILD_ROOT$archive"

    # rar's go in the rar/ subdir, and wars go into the war/ dir
    dir=%{_javadir}/%{name}/thirdparty
    buildrootjavadir="$RPM_BUILD_ROOT$dir"
    filename=`basename $archive`

    # Does file already exist in /usr/share/java/jbossas? make sure the signature matches
    if [ -f $buildrootjavadir/$filename ]; then
        sig1=`%{SOURCE99} $archive | awk '{print $1}'`
        sig2=`%{SOURCE99} $buildrootjavadir/$filename | awk '{print $1}'`

        if [ "$sig1" != "$sig2" ]; then
            echo "Signatures do not match for $archive and $buildrootjavadir/$filename"
            exit 1
        fi
    else
        install -m 644 $archive $buildrootjavadir/$filename
    fi

    # Remove archive from $JBOSS_HOME and link it
    rm -f $archive
    ln -s $dir/$filename $archive

done < %{tmp_build_file_dir}/tpfiles

# Finally, link brew built jars...
while read archive; do

    archive=$RPM_BUILD_ROOT$archive

    tosearch=`basename $archive`
    jarname=`grep -E "^$tosearch " %{SOURCE7} | awk '{print $2}' || :`
    jarfile=$(build-classpath $jarname) || :
 
    if [ -z "$jarname" ] || [ -z "$jarfile" ]; then
        echo "Incorrect/missing archive mapping for $archive"
        exit 1
    fi

    rm -f $archive
    ln -s $jarfile $archive

done < %{tmp_build_file_dir}/rlibfiles

# Temporary workaround for JBAS-3433.
# See: http://jira.jboss.org/jira/browse/JBAS-3433
for file in $RPM_BUILD_ROOT%{jbossdir}/bin/*.jar; do
    filebasename=`basename $file`
    rm -f $RPM_BUILD_ROOT%{jbossdir}/bin/$filebasename
    /bin/cp -f $RPM_BUILD_ROOT/%{_javadir}/%{name}/$filebasename $RPM_BUILD_ROOT%{jbossdir}/bin/
done

# Mark files status for jars, .xml's, .properties, etc. based on their extention
serverfileslist=%{tmp_build_file_dir}/jbossas-server-files.list
rm -f $serverfileslist
for file in `find $RPM_BUILD_ROOT%{jbossdir}/server`; do

    actualfile=`echo $file | sed -e s:^$RPM_BUILD_ROOT::g -e s:/var/lib/jbossas:%%{jbossdir}:g`

    # .xml/.properties => config file
    if [ "${actualfile##*.}" == "xml" ] || [ "${actualfile##*.}" == "properties" ]; then
       echo "%attr(-,jboss,jboss)  %config(noreplace) $actualfile" >> $serverfileslist
    elif [ -d "$file" ]; then
       # directory
       echo "%attr(-,jboss,jboss) %dir $actualfile" >> $serverfileslist
    else
       # Not a config file, not a directory => normal
       echo "%attr(-,jboss,jboss) $actualfile" >> $serverfileslist
    fi

done


install -dm 755 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev

# Copy over zip for the zip subpackage
install -m 644 %{jbver}/dist/jboss-%{jbver}-noauth.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-noauth.zip
install -m 644 %{jbver}/dist/jboss-%{jbver}-withauth.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-withauth.zip

# Copy over source zip for the src-zip subpackage
install -m 644 %{jbver}/dist/jboss-%{jbver}-src.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-src.zip

%clean
rm -rf $RPM_BUILD_ROOT

%pre
JBOSS_SHELL=/bin/sh
/usr/sbin/groupadd -r jboss 2>/dev/null || :
/usr/sbin/useradd -c JBossAS -r -s $JBOSS_SHELL -d /usr/share/%{name} -g jboss jboss 2>/dev/null || :
if [ "$1" = 2 ]; then
  # stop server before upgrade
  %{_sysconfdir}/init.d/%{name} stop >/dev/null 2>&1
fi

%post
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null || :
fi
[ -x /sbin/chkconfig ] && chkconfig --add %{name} || :

%preun
# remove service
if [ "$1" = 0 ]; then
  # on erase
  %{_sysconfdir}/init.d/%{name} stop > /dev/null 2>&1 || :
  [ -x /sbin/chkconfig ] && chkconfig --del %{name}
fi

%postun
# We NEVER, EVER remove users and groups from the system after they are added!
#if [ "$1" = 0 ]; then
#  # on erase
#  userdel jboss > /dev/null 2>&1 || :
#  groupdel jboss > /dev/null 2>&1 || :
#fi
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{jbossdir}/docs/dtd/catalog > /dev/null || :
fi


%files -f temp_build_file_dir/jbossas-server-files.list
%defattr(0644,jboss,jboss,0755)
%attr(0755,root,root) %{_sysconfdir}/init.d/%{name}

# avoid these symlinks for now
#%attr(-,jboss,jboss) %{tmpdir}/%{name}
# they were replaced by straight dirs

%attr(-,jboss,jboss) %{logdir}/%{name}

%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%doc %{_docdir}

%dir %{jbhomedir}
%{jbhomedir}/bin
%{jbhomedir}/client
%{jbhomedir}/docs
%{jbhomedir}/lib
%{jbhomedir}/server

%dir %{jbossdir}
%doc %{jbossdir}/JBossORG-EULA.txt
%doc %{jbossdir}/copyright.txt
%{jbossdir}/jar-versions.xml
%doc %{jbossdir}/*.html
%dir %{jbossdir}/bin
%{jbossdir}/bin/*.jar
%attr(0755,root,root) %{_bindir}/*
%attr(0755,jboss,jboss) %{jbossdir}/bin/*.sh
%{jbossdir}/bin/run.conf
%{jbossdir}/client
%{jbossdir}/docs
%{jbossdir}/lib

# javadir
%attr(-,root,root) %{_javadir}/jbossas

%files zip
%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-noauth.zip
%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-withauth.zip

%files src-zip
%{_javadir}/jbossas-fordev/jboss-%{taggedversion}-src.zip

%changelog
* Thu Sep 13 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-2.CP01.ep1.3
- Ask for JBossXB CP01 to enforce upgrading

* Mon Sep 10 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-2.CP01.ep1.2
- Updated sources to rev. 65277
- Trim changelog to May 2007 and higher
- Update jarmap to use servlet-api and jsp-api from jbossweb
- Use javacc and j-c-lang during build

* Thu Aug 30 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-2.CP01.ep1.1
- Final CP01 build

* Tue Aug 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.4
- Update to rev 64922

* Mon Aug 20 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.3
- Nightly build

* Tue Aug 14 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CP01_test01.ep1.2
- Update revision
- Change to use more brew built components
- Re-wrote the jar signature computation script to optimize it significantly

* Mon Aug 13 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-0.1.CP01_test01.ep1.1
- Test build of CP branch
- Disable patches that are already in the branch

* Tue Aug 07 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-1.ep1.9
- Rebuild

* Thu Aug 02 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-1.ep1.8
- Rebuild

* Thu Aug 02 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-1.ep1.7
- Adjust xml-commons dependecy name and version to match RHEL-5 Base

* Thu Aug 02 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-1.ep1.6
- Bring in all associated dependencies, even if JARs are copies so they
  can be shared with other applications
- Skip the ones that will only be at the right versions on RHEL 5.1

* Thu Aug 02 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-1.ep1.5
- Adjust versions of jbossts and hibernate3 dependencies
- Use wsdl4j16

* Mon Jul 16 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-1.ep1.4
- Add a --with binary_blob switch
- Revert changes to make use of  wsdl4j16 and jboss-aop

* Mon Jul 16 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-1.ep1.3
- Use jboss-aop rpm

* Sun Jul 15 2007 Fernando Nasser <fnasser@redhat.com> 4.2.0-1.ep1.2
- Use wsdk4j16 package in RHEL-5

* Thu Jun 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-1.ep1.1
- Updates for GA build

* Mon Jun 25 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC8.ep1.1
- Upgrade to RC8
- Remove unnecessary requirement for jboss-profiler
- Removed extra org.jgroups section from jboss-log4j.xml (JBPAPP-225)
- Changed root logger ref to ASYNC (JBPAPP-223)
- From vivekl@redhat.com:
    Update jbossas-build-production-config.patch to comment out CLUSTER
    appender definition for the production config, replace org.jgroups
    level with WARN and org.jboss.ha with INFO 
    (JBPAPP-224/JBPAPP-225/JBPAPP-226)

* Fri Jun 15 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC7.ep1.1
- Upgrade to RC7
- Add EULA to rpm (JBPAPP-114)
- Mark copyright.txt and *.html in /var/lib/jbossas/ as %%doc

* Mon Jun 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC6.ep1.2
- Copy hibernate instead of linking it at run time

* Fri Jun 08 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC6.ep1.1
- Added context file to production config
- Added check to ensure that logs are writable by the correct user (bz# 239837)
- Install missing shell scripts (JBPAPP-114)
- Added -server option in run.bat (JBPAPP-202)
- Moved rpm specific changes to a separate section
- Changed seam logging level to WARN (JBPAPP-154)

* Wed May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.3
- Fix bug in production config patch that was causing build failure
- Set Xms and Xmx to 1503m

* Tue May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.2
- Remove changes from the "disable auth" patch after noauth zip is created
- Set default config to "production", and add JBOSS_IP to the config files

* Tue May 29 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC5.ep1.1
- Update to RC5
- Set default startp config to production
- Change auth patching to make sources have the authentication changes
- Fixed JBPAPP-187, JBPAPP-179, JBPAPP-172, JBPAPP-180, JBPAPP-198

* Fri May 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC4.ep1.1
- Update to RC4
- Add checks to ensure that all patching for production config works

* Fri May 04 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC3.ep1.1
- Update to RC3
- JBPAPP-46: Remove production config changes patch (now done via build.xml)

* Tue May 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC2.ep1.2
- Update start and stop time to deal with machines with < 2GB memory

* Tue May 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC2.ep1.1
- Upgrade to RC2
- Fixed JBPAPP-46 via a patch (should happen though build.xml eventually)
- Fixed JBPAPP-138 (toplevel dir name for zip)
- Fixed JBPAPP-153 (remove second pooled invoker)

* Tue Apr 24 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.RC1.ep1.1
- Upgrade to RC1
- Added production config support

* Sun Apr 15 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CR2.ep1.1
- Update to CR2
- Remove readme.html from jbossaseap/ dir, as it shouldn't be there 

* Fri Apr 13 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62338svn.ep1.1
- Update to latest snapshot

* Thu Apr 12 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62296svn.ep1.2
- Strip out docs

* Thu Apr 12 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62296svn.ep1.1
- Update to latest snapshot

* Wed Apr 11 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62277svn.ep1.1
- Update to latest snapshot

* Tue Apr 10 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62243svn.ep1.1
- Update to latest snapshot

* Thu Apr 05 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62137svn.ep1.2
- Added missing entry for starting the local rmi service

* Thu Apr 05 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62137svn.ep1.1
- Updated to latest snapshot
- Added -docs subpackage
- Change zip structure per new requirements
- Create two zips, one with auth, one without

* Wed Apr 04 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62105svn.ep1.1
- Updated to latest snapshot
- Enabled authentication by default, with no default user accounts
- Made ipv4 force conditional, only if OS is Linux

* Tue Apr 03 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.62051svn.ep1.1
- Updated to latest snapshot
- Changed release convention to now use svn revision instead of date

* Fri Mar 30 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.20070330svn.ep1.1
- Updated sources
- Fixed cglib link location
- Cleared and re-generated thirdparty tarball

* Fri Mar 23 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.20070323svn.ep1.1
- Update to new snapshot
- Updated thirdparty and removed qdox and sun-servlet (now comes from rpm)

* Mon Mar 19 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.20070319svn.ep1.1
- Update to latest copy
- Changed location of .zip and -src.zip files

* Fri Mar 09 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.20070309svn.ep1.1
- Updated to latest svn snapshot
- Made patches generic so that tag changes don't require patch updates
- Renamed binary and src zips to be dated, to prevent confusion

* Fri Mar 02 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CR1.el4ep1.3
- Added support for pulling items from %{_javadir}/repository.jboss.com
- Map to new jacor-jboss jar location

* Thu Mar 01 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CR1.el4ep1.2
- Added a new -src-zip subpackage
- Removed xalan compatibility patch (not longer needed)
- Misc. cleanup

* Wed Feb 28 2007 Deepak Bhole <dbhole@redhat.com> 4.2.0-0.1.CR1.el4ep1.1
- Upgrade to 4.2.0
- Simplied a lot of the code
- Added a jbossas-zip subpackage that has a snapshot zip

* Tue Jan 23 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.5
- Move init scripts and /usr/bin/* links out of core and into jbossas
- Fixed bz. 222765, 223025, 223262

* Tue Jan 09 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.4
- Disable default user/password via the enableauth patch

* Mon Jan 08 2007 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.3
- Changes from pcheung@redhat to set up configurable start/stop delays
- Updated init script to try and send SIGTERM first
- Set up authentication to on by default
- Remove localhost binding

* Mon Dec 18 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.3
- Removed a file from jbossas-core that ened up there by mistake

* Fri Dec 08 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.2
- Added ownership for jbossas package files

* Tue Nov 14 2006 Deepak Bhole <dbhole@redhat.com> 4.0.5-1.el4s1.1
- Upgrade to 4.0.5
- Build AS bits from source
- Add jars to /usr/share/java/jbossas
- Port security fixes from 4.0.4
- Added condrestart function to the init script
- From fnasser@redhat:
  - Add full paths for useradd/groupadd, and add shadow-utils requirement
- Frompcheung@redhat:
  - Increase timeout period in init script

* Wed Sep 27 2006 Deepak Bhole <dbhole@redhat.com> 4.0.4-1.el4s1.21
  From Permaine Cheung <pcheung@redhat.com>:
- Increase timeout period in init script

* Thu Aug 31 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.20
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script flags to netstat

* Thu Aug 31 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.19
  From Permaine Cheung <pcheung@redhat.com>:
- Check for non-empty JBOSS_HOME when copying
- Check for write permissions

* Wed Aug 16 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.18
- Document use of config files
  From Permaine Cheung <pcheung@redhat.com>:
- Set default values in init script

* Wed Aug 16 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.17
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script for when JBOSS_HOME is not /var/lib/jbossas

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.16
  From Permaine Cheung <pcheung@redhat.com>:
- Remove unecessary line from init script

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.15
- Rebuild with complete init script, truncated on previous build

* Tue Aug 15 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.14
  From Permaine Cheung <pcheung@redhat.com>:
- Added pid file and more info for status

* Fri Aug 04 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.13
- Disable patch for scripts
- Remove added sun-specs.txt as per request

* Fri Aug 04 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-0:4.0.4-1.el4s1.12
- Merge in differences wrt 0:4.0.4-1.el4s1.11
- Fix naming and JBOSS_HOME resolution for scripts
- Revert symlinking for scripts: real files in JBOSS_HOME/bin
- Fix typo wrt SOURCE4 (sun-specs.txt)

* Thu Aug 03 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.11
- Command name separator is dash, not underscore

* Thu Aug 03 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.10
  From Permaine Cheung <pcheung@redhat.com>:
- Fix init script so that service is not started on boot by default
- Add 'status' option to the SysV init script

* Fri Jul 28 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.9
- Do not mark directories as config
- The init script is unmuttable, so it is not a config file either

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.8
  From Permaine Cheung <pcheung@redhat.com>:
- New version of init script with fixes

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.7
- Change file ownership to use jboss userid and group

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.6
- Group is also jboss, not jbossas

* Thu Jul 27 2006 Fernando Nasser <fnasser@redhat.com> 0:4.0.4-1.el4s1.5
- Userid is jboss, not jbossas
  (fixed spec file, init script and configuration files)
- Remove userdel stuff, as it is not acceptable practice
  From Ralph Apel <r.apel at r-apel.de>:
- Restored symlinks from /usr/share/jbossas/bin --> /var/lib/jbossas/bin, 
  /usr/share/jbossas/docs --> /usr/share/doc/jbossas and 
  /usr/share/jbossas/server --> /var/lib/jbossas/server
  JBOSS_HOME continues to be /var/lib/jbossas, but the
  jbossas OS user's home dir is still /usr/share/jbossas
  From Permaine Cheung <pcheung@redhat.com>:
- Fix to init script to wait for the server to complete startup and other fixes

* Thu Jul 27 2006 Permaine Cheung <pcheung@redhat.com> 0:4.0.4-1.el4s1.4
- New init script that handles several services

* Tue Jul 25 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.3
- Don't provide /etc/logrotate.d/jbossas: JB has its own log rotation
- New init script (modified from pcheung)
- Fix install of catalog
- Fix build environment of one example
- Sun licenses for dtd and xsd added from JB-4.0.2
- dropped docs/test (contained one testsuite summary text file)
- Restored symlinks from server config dirs to /var/log/jbossas/$conf
- Included sources in SRPM

* Fri Jul 21 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.2
- New init script (thx pcheung)
- Fix logrotate.d
- Move JBOSS_HOME to /var/lib/jbossas, 
- ./lib and ./client are symlinks to /usr/share/jbossas

* Mon Jul 10 2006 Ralph Apel <r.apel at r-apel.de> 0:4.0.4-1.el4s1.1
- First build

